<?php
class MoAuthLoginSettings {

  private $enable2Factor;

  private $enforceInlineRegistration;

  private $enableOTP_instead_password;

  public function __construct() {
    $this->enable2Factor = variable_get('mo_auth_enable_two_factor', TRUE);
    $this->enforceInlineRegistration = variable_get('mo_auth_enforce_inline_registration', FALSE);
    $this->enableOTP_instead_password = variable_get('mo_auth_two_factor_instead_password', FALSE);
  }

  public static function withValues($enable2Factor, $enforceInlineRegistration, $enableOTP_instead_password) {
    $instance = new MoAuthLoginSettings();
    $instance->setEnable2Factor($enable2Factor);
    $instance->setEnforceInlineRegistration($enforceInlineRegistration);
    $instance->setEnableOTPinsteadPassword($enableOTP_instead_password);
    return $instance;
  }

  public function updateLoginSettings() {
    variable_set('mo_auth_enable_two_factor', $this->enable2Factor);
    variable_set('mo_auth_enforce_inline_registration', $this->enforceInlineRegistration);
    variable_set('mo_auth_two_factor_instead_password', $this->enableOTP_instead_password);
  }

  public function getEnable2Factor() {
    return $this->enable2Factor;
  }

  private function setEnable2Factor($enable2Factor) {
    $this->enable2Factor = $enable2Factor;
  }

  public function getEnforceInlineRegistration() {
    return $this->enforceInlineRegistration;
  }

  private function setEnforceInlineRegistration($enforceInlineRegistration) {
    $this->enforceInlineRegistration = $enforceInlineRegistration;
  }

    public function getEnableOTPinsteadPassword() {
        return $this->enableOTP_instead_password;
    }

    private function setEnableOTPinsteadPassword($enableOTP_instead_password) {
        $this->enableOTP_instead_password = $enableOTP_instead_password;
    }

}