<?php
/**
 * @file
 * Contains support form for miniOrange 2FA Login Module.
 */

 /**
 *  Showing Support form info.
 */
function mo_auth_support($form, &$form_state) {


  $email = '';
  $phone = '';
  if (MoAuthUtilities::isCustomerRegistered()) {
  	$customer = new MiniorangeCustomerProfile();
  	$email = $customer->getRegisteredEmail();
  	$phone = $customer->getRegisteredPhone();
  }

    $form['header_top_style_1'] = array('#markup' => '<div class="mo_saml_table_layout_1">',
    );

    $form['markup_top'] = array(
        '#markup' => '<div class="mo_saml_table_layout container">'
    );

    $form['markup_1'] = array(
        '#markup' => '<h3>Support</h3><hr><div><br/>Need any help? Just send us a query so we can help you.<br /><br /></div>',
    );

    $form['miniorange_2fa_email_address'] = array(
        '#type' => 'textfield',
        '#title' => t('Email Address'),
        '#attributes' => array('placeholder' => 'Enter your email'),
        '#required' => TRUE,
    );

    $form['miniorange_2fa_phone_number'] = array(
        '#type' => 'textfield',
        '#title' => t('Phone number'),
        '#attributes' => array('placeholder' => 'Enter your phone number'),
    );

    $form['miniorange_2fa_support_query'] = array(
        '#type' => 'textarea',
        '#title' => t('Query'),
        '#cols' => '10',
        '#rows' => '5',
        '#attributes' => array('placeholder' => 'Write your query here'),
        '#required' => TRUE,
    );

    $form['miniorange_2fa_support_submit'] = array(
        '#type' => 'submit',
        '#value' => t('Submit Query'),
        '#submit' => array('mo_auth_support_submit'),
    );

    $form['miniorange_2fa_support_note'] = array(
        '#markup' => '<div><br/>If you want custom features in the plugin, just drop an email to <a href="mailto:info@miniorange.com">info@miniorange.com</a></div>'
    );

    return $form;
 }

 /**
  *  Send support query.
  */
function mo_auth_support_submit($form, &$form_state) {
    $email = $form['miniorange_2fa_email_address']['#value'];
    $phone = $form['miniorange_2fa_phone_number']['#value'];
    $query = $form['miniorange_2fa_support_query']['#value'];
  $support = new Miniorange2FASupport($email, $phone, $query);
  $support_response = $support->sendSupportQuery();
  if ($support_response) {
    drupal_set_message(t('Thanks for getting in touch! We shall get back to you shortly.'));
    drupal_goto('admin/config/people/mo_auth');
  }
  else {
    drupal_set_message(t('Error submitting the support query. Please send us your query at <a href="mailto:info@miniorange.com">info@miniorange.com</a>.'), 'error');
    drupal_goto('admin/config/people/mo_auth');
  }
}
